Subject: Re: OS X and umlauts in file names

From: Thomas Singer <[email-masked]>
Date: Fri, 27 Nov 2009 11:20:07 +0100

Thomas Singer wrote:
> Jay Soffian wrote:
>>>  toms-mac-mini:git-umlauts tom$ git status
>>>  # On branch master
>>>  #
>>>  # Initial commit
>>>  #
>>>  # Changes to be committed:
>>>  #   (use "git rm --cached <file>..." to unstage)
>>>  #
>>>  #     new file:   "U\314\210berla\314\210nge.txt"
>>>  #
>> Wait, what's the problem here? It's staged according to the above,
>> just commit it.
> 
> You are completely right and I feel quite foolish.
> 
> What about this one:
> 
> toms-mac-mini:git-umlauts tom$ git status
> # On branch master
> #
> # Initial commit
> #
> # Changes to be committed:
> #   (use "git rm --cached <file>..." to unstage)
> #
> #	new file:   "U\314\210berla\314\210nge.txt"
> #
> toms-mac-mini:git-umlauts tom$ git rm --cached "U\314\210berla\314\210nge.txt"
> fatal: pathspec 'U\314\210berla\314\210nge.txt' did not match any files

OK, I've found it. This works (I have to complete the file name after having
typed an U):

toms-mac-mini:git-umlauts tom$ git rm --cached Überlänge.txt

-- 
Tom